Page MenuHomePhabricator

PHP Notice: Undefined variable: subtitle in Collection extension
Open, Needs TriagePublic

Description

Related to T189636

Notice: Undefined variable: subtitle in /srv/mediawiki/php-1.32.0-wmf.19/extensions/Collection/Collection.php on line 447

Logstash url

Event Timeline

Jdlrobson created this task.Sep 5 2018, 6:16 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 5 2018, 6:16 PM

Would be good to have a strack trace as well. Can by found on Fatal-Monitor by looking for a similar entry with type=mediawiki/channel=error instead of type=hhvm. They're both on Fatal-Monitor (which means errors are duplicated), but only the mediawiki ones have traces. Expand the row and look for exception.trace.

Jdlrobson updated the task description. (Show Details)Sep 6 2018, 4:06 PM

Do notices have a stack trace? I can't seem to find one..

Do notices have a stack trace? I can't seem to find one..

Yes, all notices and warnings have traces. Since 2015, MediaWiki has a listener for php errors, generates a backtrace, and logs them to Logstash directly. These entries have the same message as the entry reported by php/hhvm internally, except with the added joy of request context and traces. Both are included on Fatal-Monitor, so make sure to look expand a row from type "mediawiki", instead of rows from type "hhvm".

(There's a todo at T45086 for figuring out whether there are cases where mediawiki is unable to log it directly, if not, we may turn off the ones from HHVM.)

Strange. I don't know what I'm doing wrong, but I can only find the error on the hhvm channel.

Krinkle renamed this task from Logstash Notice: Undefined variable: subtitle in Collection extension to PHP Notice: Undefined variable: subtitle in Collection extension.Sep 13 2018, 6:19 AM
Krinkle removed a project: Wikimedia-Logstash.
Krinkle changed Risk Rating from N/A to default.

T203595 is related to this, because the function is called with less parameters as needed, and than the parameter is undefined

Krinkle closed this task as Resolved.May 17 2019, 10:47 PM

No longer seen in logstash in the past 30 days.

Krinkle reopened this task as Open.Jul 11 2019, 10:42 PM

False alarm, they're still here. What changed is that 3299642a4 moved the classes out into their own file, and thus bypassed the Logstash filter.

[{exception_id}] {exception_url} ErrorException from line 1010 of /srv/mediawiki/php-1.34.0-wmf.13/extensions/Collection/includes/Specials/SpecialCollection.php: PHP Notice: Undefined index: title


[{exception_id}] {exception_url} ErrorException from line 1013 of /srv/mediawiki/php-1.34.0-wmf.13/extensions/Collection/includes/Specials/SpecialCollection.php: PHP Notice: Undefined index: subtitle
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:08 PM